Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.context
Interface WebServiceHeader

public interface WebServiceHeader

Object that groups the implicit SOAP headers associated with the current invoke of a Web service operation. "Implicit" refers to any SOAP headers that are not part of the WSDL that describes the Web service.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `clear()` Removes all implicit SOAP headers from the WebServiceHeader object.
`java.lang.Object` | `get(javax.xml.namespace.QName name)` Returns the value of the specified implicit SOAP header.
`java.util.Iterator` | `names()` Returns all the implicit SOAP headers from the WebServiceHeader object.
`void` | `put(javax.xml.namespace.QName name, java.lang.Object value)` Adds a new implicit SOAP header to the WebServiceHeader object.
`java.lang.Object` | `remove(javax.xml.namespace.QName name)` Removes a specific implicit SOAP header.

Method Detail

### put

    public void put(javax.xml.namespace.QName name,
                    java.lang.Object value)

  Adds a new implicit SOAP header to the WebServiceHeader object.

  Parameters:
    `name` - name of the header
    `value` - value of the header. If the value is a complex type, then the serialization class that converts between the XML and Java representation must be registered in the type mapping.

### get

    public java.lang.Object get(javax.xml.namespace.QName name)

  Returns the value of the specified implicit SOAP header.

  Parameters:
    `name` - name of the header
  Returns:
    value of the header

### remove

    public java.lang.Object remove(javax.xml.namespace.QName name)

  Removes a specific implicit SOAP header.

  Parameters:
    `name` - name of the header to be removed
  Returns:
    the value of the header removed

### names

    public java.util.Iterator names()

  Returns all the implicit SOAP headers from the WebServiceHeader object.

  Returns:
    iterator containing name of the headers

### clear

    public void clear()

  Removes all implicit SOAP headers from the WebServiceHeader object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD